Index: trunk/SophyaExt/FitsIOServer/Makefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/Makefile	(revision 2980)
+++ trunk/SophyaExt/FitsIOServer/Makefile	(revision 3007)
@@ -11,10 +11,11 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
  
-$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h $(SOPHYAINCP)datacirclebase.h \
-  $(SOPHYAINCP)circle.h $(SOPHYAINCP)vector3d.h \
+$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
+  $(SOPHYAINCP)datacirclebase.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
@@ -24,68 +25,96 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefits.cc
  
-$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fabtcolread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fabtcolread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtcolread.cc
  
-$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fabtwriter.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fabtwriter.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
-$(SOPHYAOBJP)fboloread.o: fboloread.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fabtcolread.h \
+$(SOPHYAOBJP)fboloread.o: fboloread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fabtcolread.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
-$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fbtntintf.h \
+$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -94,44 +123,84 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
-$(SOPHYAOBJP)fiosinit.o: fiosinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fiosinit.h \
-  $(SOPHYAINCP)sophyainit.h fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshdtable.h \
-  $(SOPHYAINCP)datatable.h \
+$(SOPHYAOBJP)fiosinit.o: fiosinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fiosinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshdtable.h $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitshandler.h fitsarrhand.h \
-  fitsblkrw.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitshandler.h \
+  fitsarrhand.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tvector.h fitsblkrw.h \
+  fitsntuple.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  fitsspherehealpix.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  fitsspherethetaphi.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  fitslocalmap.h $(SOPHYAINCP)localmap.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosinit.cc
  
-$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsautoreader.h \
+$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -144,9 +213,17 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
-  fitsxntuple.h $(SOPHYAINCP)xntuple.h fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h fbtntintf.h
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h \
+  $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
  
@@ -154,90 +231,122 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsbntbllineRW.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)utils.h
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)utils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
-$(SOPHYAOBJP)fitsfile.o: fitsfile.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)strutil.h
+$(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsfile.cc
  
-$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h swfitsdtable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshdtable.cc
  
-$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h fitsinoutfile.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsinoutfile.cc
  
-$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitslocalmap.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)localmap.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -245,44 +354,68 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
  
-$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)sopnamsp.h fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
+$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsmanager.cc
  
-$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
  
@@ -291,16 +424,20 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsspherehealpix.h \
+  fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -308,11 +445,22 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)tarray.h \
+  fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
@@ -321,16 +469,20 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsspherethetaphi.h \
+  fitsspherethetaphi.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -338,47 +490,75 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)tarray.h \
+  fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
-$(SOPHYAOBJP)fitstarray.o: fitstarray.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+$(SOPHYAOBJP)fitstarray.o: fitstarray.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
-$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsxntuple.h \
+$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
  
@@ -386,22 +566,33 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h \
+  $(SOPHYAINCP)machdefs.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitsblkrw.h \
+  fitshdtable.h $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h fitshandler.h \
   $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swfitsdtable.cc
Index: trunk/SophyaExt/FitsIOServer/exclude
===================================================================
--- trunk/SophyaExt/FitsIOServer/exclude	(revision 2980)
+++ trunk/SophyaExt/FitsIOServer/exclude	(revision 3007)
@@ -1,5 +1,0 @@
-fitsioserver.cc
-fitsbntbllinereader.cc.encours
-fitsbntbllinereaderXX.cc
-fitsbntbllinereader.travail.cc
-fitsbntbllinereader.sv.cc
Index: trunk/SophyaExt/FitsIOServer/smakefile
===================================================================
--- trunk/SophyaExt/FitsIOServer/smakefile	(revision 2980)
+++ trunk/SophyaExt/FitsIOServer/smakefile	(revision 3007)
@@ -11,10 +11,11 @@
 	touch $(SOPHYAINCP)/SophyaConfInfo/libextsophya.objlist
  
-$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc $(SOPHYAINCP)sopnamsp.h \
-  datacirclefits.h $(SOPHYAINCP)datacirclebase.h \
-  $(SOPHYAINCP)circle.h $(SOPHYAINCP)vector3d.h \
+$(SOPHYAOBJP)datacirclefits.o: datacirclefits.cc \
+  $(SOPHYAINCP)sopnamsp.h datacirclefits.h \
+  $(SOPHYAINCP)datacirclebase.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)utilgeom.h \
   $(SOPHYAINCP)unitvector.h \
@@ -24,68 +25,96 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  datacirclefits.cc
  
-$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fabtcolread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+$(SOPHYAOBJP)fabtcolread.o: fabtcolread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fabtcolread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtcolread.cc
  
-$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fabtwriter.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+$(SOPHYAOBJP)fabtwriter.o: fabtwriter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fabtwriter.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fabtwriter.cc
  
-$(SOPHYAOBJP)fboloread.o: fboloread.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fboloread.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fabtcolread.h \
+$(SOPHYAOBJP)fboloread.o: fboloread.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fboloread.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fabtcolread.h \
   $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fboloread.cc
  
-$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fbtntintf.h \
+$(SOPHYAOBJP)fbtntintf.o: fbtntintf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fbtntintf.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -94,44 +123,84 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fbtntintf.cc
  
-$(SOPHYAOBJP)fiosinit.o: fiosinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fiosinit.h \
-  $(SOPHYAINCP)sophyainit.h fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshdtable.h \
-  $(SOPHYAINCP)datatable.h \
+$(SOPHYAOBJP)fiosinit.o: fiosinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fiosinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshdtable.h $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitshandler.h fitsarrhand.h \
-  fitsblkrw.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitshandler.h \
+  fitsarrhand.h $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tvector.h fitsblkrw.h \
+  fitsntuple.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  fitsspherehealpix.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  fitsspherethetaphi.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  fitslocalmap.h $(SOPHYAINCP)localmap.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fiosinit.cc
  
-$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsautoreader.h \
+$(SOPHYAOBJP)fitsautoreader.o: fitsautoreader.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsautoreader.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
@@ -144,9 +213,17 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)HEALPixUtils.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
-  fitsxntuple.h $(SOPHYAINCP)xntuple.h fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h fbtntintf.h
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)ppersist.h fitsxntuple.h \
+  $(SOPHYAINCP)xntuple.h fitslocalmap.h \
+  $(SOPHYAINCP)localmap.h fbtntintf.h \
+  $(SOPHYAINCP)ntupintf.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsautoreader.cc
  
@@ -154,90 +231,122 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsbntbllineRW.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)utils.h
+  $(SOPHYAINCP)machdefs.h fitsbntbllineRW.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)utils.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsbntbllineRW.cc
  
-$(SOPHYAOBJP)fitsfile.o: fitsfile.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsfile.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)strutil.h
+$(SOPHYAOBJP)fitsfile.o: fitsfile.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsfile.cc
  
-$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)fitshdtable.o: fitshdtable.cc \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsblkrw.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsblkrw.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h swfitsdtable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitshdtable.cc
  
-$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)fitsinoutfile.o: fitsinoutfile.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h fitsinoutfile.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsinoutfile.cc
  
-$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitslocalmap.h \
-  $(SOPHYAINCP)pexceptions.h \
+$(SOPHYAOBJP)fitslocalmap.o: fitslocalmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h fitslocalmap.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)localmap.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -245,44 +354,68 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitslocalmap.cc
  
-$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)sopnamsp.h fitsmanager.h fitsinoutfile.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitshandler.h
+$(SOPHYAOBJP)fitsmanager.o: fitsmanager.cc \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)sopnamsp.h fitsmanager.h \
+  fitsinoutfile.h $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsmanager.cc
  
-$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+$(SOPHYAOBJP)fitsntuple.o: fitsntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsntuple.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsntuple.cc
  
@@ -291,16 +424,20 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsspherehealpix.h \
+  fitsspherehealpix.h \
   $(SOPHYAINCP)spherehealpix.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -308,11 +445,22 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)HEALPixUtils.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)tarray.h \
+  fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherehealpix.cc
  
@@ -321,16 +469,20 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsspherethetaphi.h \
+  fitsspherethetaphi.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -338,47 +490,75 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h fitstarray.h
+  $(SOPHYAINCP)datatype.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)anydataobj.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h $(SOPHYAINCP)tarray.h \
+  fitstarray.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsspherethetaphi.cc
  
-$(SOPHYAOBJP)fitstarray.o: fitstarray.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)pexceptions.h fitstarray.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h fitsfile.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+$(SOPHYAOBJP)fitstarray.o: fitstarray.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitstarray.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitstarray.cc
  
-$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h fitsxntuple.h \
+$(SOPHYAOBJP)fitsxntuple.o: fitsxntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h fitsxntuple.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
-  fitsfile.h $(SOPHYAINCP)ndatablock.h fitsinoutfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)dvlist.h fitsinoutfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  fitshandler.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fitsxntuple.cc
  
@@ -386,22 +566,33 @@
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)swsegdb.h \
-  fitsswapper.h fitsinoutfile.h $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)swsegdb.h fitsswapper.h \
+  $(SOPHYAINCP)machdefs.h fitsinoutfile.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
   $(SOPHYAINCP)FitsIO/longnam.h fitsblkrw.h \
+  fitshdtable.h $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h fitshandler.h \
   $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  swfitsdtable.cc
